<ng-container   [formGroup]="$any(formGroup)" >

  <p-card  header="{{formGroup.controls.title.value}}" subheader="{{formGroup.controls.title.value}}" [style]="{ width: '360px' }">

    <ng-template pTemplate="header">
      <img formControlName="img" ngDefaultControl   src="{{formGroup.controls.img.value}}"/>
    </ng-template>

    <p    >
         {{formGroup.controls.description.value | summary}}
    </p>
    <ng-template pTemplate="footer">
      <p-button label="Save" icon="pi pi-check"  *ngIf="!showDeleteButton" (onClick)="saveOnMyRecipe()"></p-button>
      <p-button label="Delete" icon="pi pi-trash"  *ngIf="showDeleteButton" (onClick)="deleteFromMyRecipe()"></p-button>

    </ng-template>
  </p-card>
</ng-container>
